//////////////////////////////////////////////////
////////////////Shadow Mainscript/////////////////
//////////////////////////////////////////////////
//////////////////////////////////////////////////
////24.12.2008////////////////by Nils Daumann/////
///////////////www.ssmasters.de///////////////////
//////////////////////////////////////////////////

#ifndef SM_MAIN
#define SM_MAIN

#define PRAGMA_PLUGIN "Shadows\Shadow.dll"

#include "PP_Helper.c"
#include "SM_Sun.c"
#include "SM_Pointlights.c"
#include "SM_Cubeproj.c"
#include "SM_Spotlights.c"

void (*SM_QuitOld)();

void SM_setAmbient(var amb_val)
{
	#ifdef SM_COMBINE
		SM_Combine_mat.skill5 = floatd(amb_val,255);
	#endif
}

void SM_Quit()
{
	SM_Sun_delete();
	SM_Point_delete();
	SM_Spot_delete();
	SM_CubeProj_delete();
	
	if(SM_QuitOld != NULL)
	{
		SM_QuitOld();
	}
}

void SM_Init_startup()
{
	SM_Combine_mat.skill5 = floatd(100,255);
	
	wait(3);
	SM_QuitOld = on_exit;
	on_exit = SM_Quit;
}

#endif
