function mtl_terrain_init()
{
	//texture scale factors
	mtl.skill1=pixel_for_vec(vector(170,0,0),0,8888);
	mtl.matrix11 = 16;
	mtl.matrix22 = 16;
}

//material for terrain
MATERIAL* mtl_terrain =
{
	emissive_blue  = 9.683;
	emissive_red   = 12.910;
	emissive_green = 12.910;
	ambient_blue  = 150;
	ambient_red   = 150;
	ambient_green = 150;
	specular_blue  = 0;
	specular_red   = 0;
	specular_green = 0;
	diffuse_blue   = 209.790;
	diffuse_red    = 213.018;
	diffuse_green  = 213.018;
	power  = 1;
	albedo = 35;
	alpha  = 100;

	flags = enable_render, tangent;

	skin1 = detail_texture1;
	skin2 = detail_texture2;
	skin3 = detail_texture3;
	skin4 = detail_texture4;
	
	event = mtl_terrain_init;
}

function init_level_startup()
{
	effect_load(mtl_terrain, "mtl_multitex.fx");
}